Package com.independentsoft.office.odf.styles

# Enum Class VerticalGlyphOrientation

java.lang.Object
java.lang.Enum<VerticalGlyphOrientation>
com.independentsoft.office.odf.styles.VerticalGlyphOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalGlyphOrientation>`, `Constable`

public enum VerticalGlyphOrientation extends Enum<VerticalGlyphOrientation>
Represents a vertical glyph orientation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  Auto.
  `DISABLE`
  Disable.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerticalGlyphOrientation`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VerticalGlyphOrientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTO

    public static final VerticalGlyphOrientation AUTO
    Auto.

  - ### DISABLE

    public static final VerticalGlyphOrientation DISABLE
    Disable.

  - ### NONE

    public static final VerticalGlyphOrientation NONE
    None.

- ## Method Details

  - ### values

    public static VerticalGlyphOrientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VerticalGlyphOrientation valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null